Humble bundle

Discussion in 'Mac and PC Games' started by Dr. McKay, Jun 9, 2012.

  1. Dr. McKay macrumors 6502a

    Joined:
    Jan 20, 2010
    Location:
    Belgium, Europe
    #1
    I'm considering buying the humble bundle.
    http://www.humblebundle.com/

    However, there's one game (Limbo) that states it will only run on macs produced from 2009 and upwards. Strange, because my mac meets the sys reqs, and even exceeds them...
    http://support.humblebundle.com/cus...59718-humble-indie-bundle-v-system-reqs#braid

    In the app store, it gives the same warning.

    I have an early 2008 iMac, Snow Leopard, 2.8Ghz Core2duo, 4Gb of RAM, 256Mb ATI Radeon HD 2600 Pro

    Has anyone played Limbo on a mac that was made before 2009 ?
     
  2. laetusviator macrumors member

    laetusviator

    Joined:
    May 31, 2012
    #2
    I've got a late 2008 MBP with similar specs: my CPU is core 2 duo 2.4GHz, 4GB RAM, graphics card is nvidia 9600M w/256mb.

    I recently played all the way through Limbo (which I bought a few days before humble bundle came out... oh well!), and it was fine. It was only occasionally choppy, but really nothing too bad.

    It is a great game btw (and a great bundle, as usual from humble bundle)! If you like indie games, I made a list of top indie games on the mac app store you might want to check out.

    Have fun. :)
     

Share This Page